GuideLab Docs

Get Stripe Connect Quarantine

Inspect an exact held event and its retained review history without contacting Stripe.

GET
/finances/stripe-quarantine/{eventId}

Inspect an exact held event and its retained review history without contacting Stripe.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

eventId*string
Length1 <= length <= 255

Response Body

application/json

curl -X GET "https://example.com/finances/stripe-quarantine/string"
{  "eventId": "string",  "stripeAccountId": "string",  "stripePaymentIntentId": "string",  "type": "string",  "quarantineReason": "string",  "receivedAt": "string",  "reviews": [    {      "id": "string",      "attempt": 0,      "reviewerUserId": "string",      "outcome": "pending",      "errorCode": "string",      "createdAt": "string",      "finishedAt": "string"    }  ],  "canReplay": true}
Empty